^17 ^E
^10^BRechnungsliste ^b^17
                                                                                  Seite: #SEITE:8:0
Zeitraum vom #VonDat  bis #BisDat                                                 Stand: #DATUM
ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
 Rg.Nr. Datum    Kd.Nr. Name                 Nettobetr.     Mwst1    Mwst.«  Rg.Betrag      offen
/234567 12345678 123456 12345678901234567890 1234567890 123456789 123456789 1234567890 1234567890 12345 12 12 12 12
ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
!LISTE:58
#Atr_Nr #RgDatum #KdNr  #Name                #Netto:10  #St1:9:2  #St2:9    #Betrag:10 #OffenText:10 #STOR#AG#AB#LS#GS
/
  !#Anz:= #Anz+ 1                            // Z„hle die Anzahl der gedruckten RG
  !#SummeSt1 :=   #SummeSt1 + #St1           // Summe Mwst (voller Mwst.Satz)
  !#SummeSt2 :=   #SummeSt2 + #St2           // Summe Mwst (halber Mwst.Satz)
  !#SummeBetrag:= #SummeBetrag+ #Betrag      // Summe der RgBetr„ge
  !#SummeOffen:=  #SummeOffen+ #Offen        // Summe der Offenen Betr„ge
!ENDE LISTE
/
!WENN #LetzteSeite
ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
Anzahl der aufgelisteten Rechnungen: #ANZ:8:0    Summe: #SummeSt1:9 #SummeSt2:9 #SummeBetrag:10 #SummeOffen:10
!ENDE WENN
!SEITENAUSWURF
!FORMULARENDE


!PLATZHALTER
  #VonDat,        vondatum                 // wird vom Benutzer eingegeben
  #BisDat,        bisdatum                 // wird vom Benutzer eingegeben
  #RgGedruckt,    ako->atyp4= .t.
  #Atr_nr,        ako->at_nr
  #KdNr,          ako->at_kdnr
  #Name,          Substr( ako->at_n2, 1,20) // 20 Zeichen vom Nachnamen
  #RgDatum ,      ako->at_rgdat            // Datum der Rechnung
  #AtrDat,        ako->at_dat              // Auftrag angelegt am
  #Fusstext,      ako->at_fuss

  #Betrag,        ako->at_wert             // Rechnungsbetrag Brutto
  #St1,           ako->mwst1incl           // Mwst Anteil voller Mwstsatz
  #St2,           ako->mwst2incl           // Mwst Anteil halber Mwstsatz
  #Netto,         ako->at_wert- ako->mwst1incl - ako->mwst2incl   // Netto-Rechnungsbetrag
  #Gutschrift,    opos->gutschrift         // Gutschrift aus Offenen Posten
  #Gezahlt,       opos->gezahlt            // Gezahlte Summe zu dem OP
  #Offen,         IF( opos->(Eof()), 0, ako->at_wert - opos->gezahlt - opos->gutschrift)
  #OffenText,     IF( opos->(Eof()), '          ', #Offen)

  #STOR,          IF( ! Empty( ako->Rg_stordat), 'Storn', '     ')  // Auftrag storniert?
  #AG,            IF( ako->atyp1, 'AG ',  '   ')   // Angebot gedruckt?
  #AB,            IF( ako->atyp2, 'AB ',  '   ')   // Auftragsbest„tigung gedruckt?
  #LS,            IF( ako->atyp3, 'LS ',  '   ')   // Lieferschein gedruckt?
  #GS,            IF( ako->atyp5, 'GS ',  '   ')   // Gutschrift gedruckt?

  #Anz,           nAnz                        // nur zum Z„hlen der Rechnungen
  #SummeOffen,    nSummeOffen                 // Summe der Offenen Posten
  #SummeBetrag,   nSummeBetr                  // Summe der Rechnungsbetr„ge
  #SummeSt1,      nSummeSt1                   // Summe Mwst (voller Mwst.Satz)
  #SummeSt2,      nSummeSt2                   // Summe Mwst (halber Mwst.Satz)
!ENDE PLATZHALTER